org.apache.poi.hwpf.model.types

## Class SHDAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.SHDAbstractType

- Direct Known Subclasses:
    ShadingDescriptor

      @Internal
      public abstract class SHDAbstractType
      extends java.lang.Object

  The Shd structure specifies the colors and pattern that are used for background shading.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Colorref` | `field_1_cvFore`
    `protected Colorref` | `field_2_cvBack`
    `protected int` | `field_3_ipat`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SHDAbstractType()`
    `protected` | `SHDAbstractType(SHDAbstractType other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `protected void` | `fillFields(byte[] data, int offset)`
    `Colorref` | `getCvBack()` A COLORREF that specifies the background color of ipat.
    `Colorref` | `getCvFore()` A COLORREF that specifies the foreground color of ipat.
    `int` | `getIpat()` An Ipat that specifies the pattern used for shading.
    `static int` | `getSize()` Size of record
    `int` | `hashCode()`
    `byte[]` | `serialize()`
    `void` | `serialize(byte[] data, int offset)`
    `void` | `setCvBack(Colorref field_2_cvBack)` A COLORREF that specifies the background color of ipat.
    `void` | `setCvFore(Colorref field_1_cvFore)` A COLORREF that specifies the foreground color of ipat.
    `void` | `setIpat(int field_3_ipat)` An Ipat that specifies the pattern used for shading.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### field_1_cvFore

          protected Colorref field_1_cvFore

    - #### field_2_cvBack

          protected Colorref field_2_cvBack

    - #### field_3_ipat

          protected int field_3_ipat

  - ### Constructor Detail

    - #### SHDAbstractType

          protected SHDAbstractType()

    - #### SHDAbstractType

          protected SHDAbstractType(SHDAbstractType other)

  - ### Method Detail

    - #### fillFields

          protected void fillFields(byte[] data,
                                    int offset)

    - #### serialize

          public void serialize(byte[] data,
                                int offset)

    - #### serialize

          public byte[] serialize()

    - #### getSize

          public static int getSize()

      Size of record

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getCvFore

          @Internal
          public Colorref getCvFore()

      A COLORREF that specifies the foreground color of ipat.

    - #### setCvFore

          @Internal
          public void setCvFore(Colorref field_1_cvFore)

      A COLORREF that specifies the foreground color of ipat.

    - #### getCvBack

          @Internal
          public Colorref getCvBack()

      A COLORREF that specifies the background color of ipat.

    - #### setCvBack

          @Internal
          public void setCvBack(Colorref field_2_cvBack)

      A COLORREF that specifies the background color of ipat.

    - #### getIpat

          @Internal
          public int getIpat()

      An Ipat that specifies the pattern used for shading.

    - #### setIpat

          @Internal
          public void setIpat(int field_3_ipat)

      An Ipat that specifies the pattern used for shading.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.